<?php
require('php_background.php');

$uri = $_SERVER['REQUEST_URI'];
$hash = substr($uri, -60);

if(isset($_POST['submit'])) {
	$valid = true;

	if(!validatePassword($_POST['password'])) {
		$passwordInfo = "Zadejte heslo o délce alespoň 5 znaků.";
		$valid = false;
	}

	if($_POST['password'] !== $_POST['password2']) {
		$passwordInfo2 = "Hesla nejsou shodná.";
		$valid = false;
	}

	if($valid) {

		$res = User::changePassword($hash, $_POST['password']);
		if($res) {
			$_SESSION['message'] = "Heslo bylo změněno.";

		} else {
			$_SESSION['message'] = "Heslo se nepodařilo změnit.";
		}
		header('Location: index.php');
	}
}







?>


<!DOCTYPE html>
<html lagn="cs-cz">

<head>
	<title>PHP machr|Nastavení hesla</title>
	<script src="script.js"></script>
</head>
<body>
	<h1>Nastavení hesla</h1>

	<form method="POST" name="myForm">
		<table>
			<tr>
				<td>Heslo:</td><td><input type="password" name="password" id="password" onchange="validatePassword(); comparePasswords();" /></td><td id="passwordInfo"><?= $passwordInfo ?></td>
			</tr>
			<tr>
				<td>Heslo znovu:</td><td><input type="password" name="password2" id="password2" onchange="comparePasswords()" /></td><td id="passwordInfo2"><?= $passwordInfo2 ?></td>
			</tr>
		</table>	
		<input type="submit" name="submit" value="Odeslat" />	
	</form>

</body>

<script>





</script>

</html>