<?php

require('php_background.php');



unset($_SESSION['email']);

$message = "";
$email = "";
$emailInfo = "";
$passwordInfo = "";
$passwordInfo2 = "";

/*** Při odeslání formuláře dochází k ověření správnosti údajů, pokud vše projde, je volána registrace do DB + odeslání mailu ***/
if(isset($_POST['submit'])) {

	$valid = true;
	$email = empty($_POST['email']) ? "" : $_POST['email'];

	if(!validateEmail($email)) {
		$emailInfo = "Zadán neplatný email.";
		$valid = false;
	}

	if(!validatePassword($_POST['password'])) {
		$passwordInfo = "Zadejte heslo o délce alespoň 5 znaků.";
		$valid = false;
	}

	if($_POST['password'] !== $_POST['password2']) {
		$passwordInfo2 = "Hesla nejsou shodná.";
		$valid = false;
	}

	if($valid) {// Problém s hláškou o neúspěšnosti pestože registrace proběhne..
		if(User::setRegistration($_POST['email'], $_POST['password'])) {
			$_SESSION['message'] = "Registrace se povedla.";
			header('Location: index.php');
		} else {
			$message = "Registrace se nezdařila, skuste jiný email.";
		}
	}
}


?>


<!DOCTYPE html>
<html lagn="cs-cz">

<head>
	<title>PHP machr|Registrace</title>
	<script src="script.js"></script>
</head>
<body>
	<h1>Registrační formulář</h1>

	<?= $message ?>

	<form method="POST" name="myForm">
		<table>
			<tr>
				<td>Email:</td><td><input type="email" name="email" value="<?= $email ?>"id="email" onchange="validateEmail()" /></td><td id="emailInfo"><?= $emailInfo ?></td>
			</tr>
			<tr>
				<td>Heslo:</td><td><input type="password" name="password" id="password" onchange="validatePassword(); comparePasswords();" /></td><td id="passwordInfo"><?= $passwordInfo ?></td>
			</tr><tr>
				<td>Heslo znovu:</td><td><input type="password" name="password2" id="password2" onchange="comparePasswords()" /></td><td id="passwordInfo2"><?= $passwordInfo2 ?></td>
			</tr>
		</table>

		<input type="submit" name="submit" value="Odeslat" />
	</form>

</body>

<script>





</script>

</html>