<?php
require('php_background.php');

/*** Pokud je již někdo přihlášen, dojde k přesměrování na index s hláškou. ***/
if(isset($_SESSION['email'])) {
	$_SESSION['message'] = "Již jste přihlášeni jako uživatel " . $_SESSION['email'];
	header("Location: index.php");
}


$message = "";
$email = "";
$emailInfo = "";
$passwordInfo = "";
$valid = true;

if(isset($_POST['submit'])) {
	$email = empty($_POST['email']) ? "" : $_POST['email'];

	if(!validateEmail($email)) {
		$emailInfo = "Zadejte správný email";
		$valid = false;
	}

	if(!validatePassword($_POST['password'])) {
		$passwordInfo = "Zadejte heslo o délce alespoň 5 znaků";
		$valid = false;
	}

	/*** Pokud jsou zadané údaje validní, dojde k volání fce pro prověření v DB. ***/
	if($valid) {

		if(User::verifyUser($email, $_POST['password'])) {
			$_SESSION['email'] = $email;
			$_SESSION['message'] = "Přihlášení  proběhlo v pořádku.";

			header("Location: index.php");

		} else {
			$message = "Přihlášení se nepovedlo.";
		}
	} 
}

?>


<!DOCTYPE html>
<html lagn="cs-cz">

<head>
	<title>PHP_machr|Login</title>
	<script src="script.js"></script>
</head>
<body>
	<h1>Přihlášení</h1>

	<?= $message ?>

	<form method="POST"  name="myForm">
		<table>
			<tr>
				<td>Email:</td>
				<td><input type="email" name="email" value="<?= $email ?>" id="email" onchange="validateEmail()" /></td>
				<td id="emailInfo"><?= $emailInfo ?></td>
			</tr>
			<tr>
				<td>Heslo:</td>
				<td><input type="password" name="password" id="password" onchange="validatePassword()" /></td>
				<td id="passwordInfo"><?= $passwordInfo ?></td>
			</tr>
		</table>

		<input type="submit" name="submit" value="Odeslat" />
	</form>

	<br />

	<a href="reset.php">Obnovit zapomenuté heslo</a>

</body>

<script>

</script>

</html>